Triangle MicroWorks SCADA Data Gateway < 3.0.635 Multiple DoS Vulnerabilities

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote host is affected by multiple denial of service
vulnerabilities.

Description :

The remote SCADA Data Gateway install is prior to 3.0.635. It is,
therefore, affected by multiple vulnerabilities :

- Sending a specially crafted DNP3 packet can result in
an excessive data processing denial of service
vulnerability. (CVE-2014-2342)

- Sending a specially crafted DNP request over a serial
line can trigger an excessive data processing denial of
service vulnerability. (CVE-2014-2343)

See also :

http://www.nessus.org/u?980bdd7b

Solution :

Upgrade to SCADA Data Gateway 3.0.0635 or later.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)
CVSS Temporal Score : 4.3
(CVSS2#E:ND/RL:OF/RC:ND)
Public Exploit Available : false

Family: SCADA

Nessus Plugin ID: 76574 ()

Bugtraq ID: 67722
67723

CVE ID: CVE-2014-2342
CVE-2014-2343